Update Offer Checkout
curl --request PUT \
--url https://api.lendflow.com/api/offers/{offer_id}/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkout_template_id": null,
"content": null
}
'import requests
url = "https://api.lendflow.com/api/offers/{offer_id}/checkout"
payload = {
"checkout_template_id": None,
"content": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({checkout_template_id: null, content: null})
};
fetch('https://api.lendflow.com/api/offers/{offer_id}/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"offer_id": "120121e3-cb63-4df7-9e5d-d0d7aedbe715",
"checkout_template_id": "01a11c30-0c06-7093-8485-e765b00e579d",
"data_step_values": null,
"custom_step_url_visits": null,
"created_at": null,
"updated_at": null
}
}Offers
Update Offer Checkout
Updates the checkout content for an offer and returns the refreshed checkout details.
PUT
/
api
/
offers
/
{offer_id}
/
checkout
Update Offer Checkout
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the offer.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?